/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<mousehelper.h>)
#  include <mousehelper.h>
#endif
#if __has_include(<resultsmodel.h>)
#  include <resultsmodel.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_milou()
{
    qmlRegisterModule("org.kde.milou", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<Milou::MouseHelper>("org.kde.milou", 254);
    qmlRegisterTypesAndRevisions<Milou::ResultsModel>("org.kde.milou", 254);
    QT_WARNING_POP
    qmlRegisterModule("org.kde.milou", 254, 254);
}

static const QQmlModuleRegistration orgkdemilouRegistration("org.kde.milou", qml_register_types_org_kde_milou);
